<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package GlowMag
 */

get_header();

/**
	 * Hook - breadcrumb_type.
	 *
	 * @hooked breadcrumb_type
	 */
	do_action( 'breadcrumb_type' );

 ?>
<!--content-->
<section class="content item-list">
    <div class="container">
        <div class="row">
            <div class="col-lg-9 page-content-column">

				<?php
				if ( have_posts() ) : ?>

					<header class="page-header">
						   <h3 class="page-title"><?php
								/* translators: %s: search query. */
								printf( esc_html__( 'Search Results for: %s', 'glowmag' ), '<span>' . get_search_query() . '</span>' );
						?></h3>
					</header><!-- .page-header -->

					<?php
					/* Start the Loop */
					while ( have_posts() ) : the_post();

						/**
						 * Run the loop for the search to output the results.
						 * If you want to overload this in a child theme then include a file
						 * called content-search.php and that will be used instead.
						 */
						get_template_part( 'template-parts/content', 'search' );

					endwhile;

					the_posts_navigation();

				else :

					get_template_part( 'template-parts/content', 'none' );
                              	endif;
                            ?>

			</div>
			<div id="secondary" class="col-lg-3 page-sidebar-column">	 
				<div class="sidebar-col">	
					<?php get_sidebar(); ?>
				</div>    
			</div>
        </div>
    </div>
</section>
    <!-- content end-->     

<?php
get_footer();
